Loading...
Searching...
No Matches
casacore::LSQTraits_CD< std::complex< Double > > Class Reference
scimath package (libcasa_scimath) » Fitting_module

LSQTraits specialization for DComplex. More...

`#include <LSQTraits.h>`

## Public Types

enum | { size }
typedef std::complex< Double > | value_type
typedef Double | base
typedef LSQComplex | num_type

## Detailed Description

LSQTraits specialization for DComplex.

Definition at line 140 of file LSQTraits.h.

## Member Typedef Documentation

## base

typedef Double casacore::LSQTraits_CD< std::complex< Double > >::base

Definition at line 143 of file LSQTraits.h.

## num_type

typedef LSQComplex casacore::LSQTraits_CD< std::complex< Double > >::num_type

Definition at line 144 of file LSQTraits.h.

## value_type

typedef std::complex<Double> casacore::LSQTraits_CD< std::complex< Double > >::value_type

Definition at line 142 of file LSQTraits.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
size |

Definition at line 145 of file LSQTraits.h.

The documentation for this class was generated from the following file:

- scimath/Fitting/LSQTraits.h